
TYPO3.Flow - Bug # 10486

Status: Resolved Priority: Must have
Author: Karsten Dambekalns Category: Validation
Created: 2010-10-27 Assigned To: Christopher Hlubek
Updated: 2010-10-27 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Validation for multiple validators and nested objects broken
Description

Currently the validation is seriously broken for nested objects and with multiple validators with different options.

The validators were "created" as singletons and options are overwritten each time the same validator type was used.

Additionally the check for "prototype" should use the constant and not a string to work.

Associated revisions
Revision f5b121d7 - 2010-10-27 20:56 - Christopher Hlubek

[+BUGFIX] Fix validation for multiple validators and nested objects

Currently the validation is seriously broken for nested objects and with
multiple validators with different options.

The validators were "created" as singletons and options are overwritten
each time the same validator type was used.

Additionally the check for "prototype" should use the constant and not a
string to work.

Fixes: #10486
Change-Id: I9f5f1af9294e6532c78fe357fb087f2c5110deb7

History
#1 - 2010-10-27 20:56 - Karsten Dambekalns
- Status changed from Accepted to Under Review

https://review.typo3.org/230

#2 - 2010-10-27 21:00 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:"f5b121d792063cecff9cebea6eab2f05f30d7b7c".

2015-08-03 1/2

https://review.typo3.org/230


2015-08-03 2/2


